using System;

internal sealed class Delegate35 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate35 delegate35_1)
	{
		delegate35_1(object_0);
	}

	public extern Delegate35(object object_0, IntPtr intptr_0);

	static Delegate35()
	{
		Class10.smethod_13(typeof(Delegate35).TypeHandle);
	}

	internal static Delegate35 delegate35_0;
}
